@echo off
color 2
echo UWP Helper & echo.

:begin
echo 1. Install game
echo 2. Enable Developer Mode
echo 3. Disable Developer Mode
echo 4. Exit

set /p action="Choose action: "

IF NOT "%action%" == "1" ( IF NOT "%action%" == "2" ( IF NOT "%action%" == "3" ( IF NOT "%action%" == "4" (  goto begin ) ) ) )

IF "%action%" == "1" ( goto gameinstall )
IF "%action%" == "2" ( goto developeron )
IF "%action%" == "3" ( goto developeroff )
IF "%action%" == "4" ( goto exit )

:developeron
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\AppModelUnlock" /t REG_DWORD /f /v "AllowDevelopmentWithoutDevLicense" /d "1"
goto begin

:developeroff
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\AppModelUnlock" /t REG_DWORD /f /v "AllowDevelopmentWithoutDevLicense" /d "0"
goto begin

:gameinstall
set file_check="%~dp0AppxSignature.p7x"
set file_check_new="AppxSignature.tmp"

IF EXIST %file_check% ( REN %file_check% %file_check_new% )

powershell Add-AppxPackage '%~dp0AppxManifest.xml' -Register
goto begin

:exit